Bug 20637 - Holds to pull: filter shows two itypes on the same line if a biblio has two items of a different type
Summary: Holds to pull: filter shows two itypes on the same line if a biblio has two i...
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-23 13:57 UTC by Victor Grousset/tuxayo
Modified: 2018-05-04 14:22 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
It shows the two item types combined. (22.72 KB, image/png)
2018-04-23 13:57 UTC, Victor Grousset/tuxayo
Details
Bug 20637: Fix filters content on the holds to pull screen (2.63 KB, patch)
2018-04-24 18:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20637: Fix filters content on the holds to pull screen (2.69 KB, patch)
2018-04-26 13:06 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 20637: Fix filters content on the holds to pull screen (2.75 KB, patch)
2018-04-29 22:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2018-04-23 13:57:11 UTC
Created attachment 74731 [details]
It shows the two item types combined.

The screenshot shows the two item types combined.

The issue is in the dropdown menu.
Comment 2 Jonathan Druart 2018-04-24 18:28:15 UTC
Created attachment 74821 [details] [review]
Bug 20637: Fix filters content on the holds to pull screen

libraries and locations are separated by <br> whereas itypes are using
\n
This patch standardized the separator to generate correctly the filters
pulldown

Test plan:
- Place a hold on a biblio record which has several items
- Define different location and itypes for these items
- Display the hold on the "Holds to pull" screen and make sure the
filters are working correctly (focus on the dropdown list)
Comment 3 Victor Grousset/tuxayo 2018-04-26 13:06:20 UTC
Created attachment 74881 [details] [review]
Bug 20637: Fix filters content on the holds to pull screen

libraries and locations are separated by <br> whereas itypes are using
\n
This patch standardized the separator to generate correctly the filters
pulldown

Test plan:
- Place a hold on a biblio record which has several items
- Define different locations and itypes for these items
- Display the holds on the "Holds to pull" screen and make sure the
filters are working correctly (focus on the dropdown list)

Signed-off-by: Victor Grousset <victor.grousset@biblibre.com>
Comment 4 Victor Grousset/tuxayo 2018-04-26 13:07:26 UTC
itypes got fixed and no regressions on libraries and locations.

Works great, thanks!
Comment 5 Katrin Fischer 2018-04-29 22:38:32 UTC
Created attachment 74927 [details] [review]
Bug 20637: Fix filters content on the holds to pull screen

libraries and locations are separated by <br> whereas itypes are using
\n
This patch standardized the separator to generate correctly the filters
pulldown

Test plan:
- Place a hold on a biblio record which has several items
- Define different locations and itypes for these items
- Display the holds on the "Holds to pull" screen and make sure the
filters are working correctly (focus on the dropdown list)

Signed-off-by: Victor Grousset <victor.grousset@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2018-05-03 16:41:30 UTC
Pushed to master for 18.05, thanks to everybody involved!